Ticket #42167

gui-gtk* : F2 units and F5 economy : add an empty column for scrollbar to prevent hidding last column content

Open Date: 2021-05-04 16:02 Last Update: 2021-05-22 03:14

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
9

Details

3.0beta2 (but i believe it is already in 2.6 )

with gtk3.2 client, the "F5" economy view does not always show the last column ' total' .

Everything is ok while names are short (as in the begining of the game) With buildings with long names such as aqueduc_lake (and maybe when they need two digit) , the last column is getting squeezed and becomes unreadable.

Ticket History (3/37 Histories)

2021-05-04 16:02 Updated by: alain_bkr
  • New Ticket "gtk3.22 : F5 economy view : columns are not wide enough" created
2021-05-13 21:27 Updated by: alain_bkr
Comment

The problems comes from the scrollbar which appears on the right side when the list is too big. The scrollbar overlaps the column, and thus hides its content.

The same thing happens for F2-units report.

(Edited, 2021-05-13 23:17 Updated by: alain_bkr)
2021-05-13 22:54 Updated by: alain_bkr
  • File fix_gtk322_F5_scrollbar_hiding_column_content.patch (File ID: 6797) is attached
2021-05-13 22:58 Updated by: alain_bkr
Comment

patch adds an empty column for the scrollbar

Done on

commit c7ddb47e46c9acc73eefaaeb649824249d3902f6 (HEAD -> S3_0, origin/S3_0)
Date:   Thu Apr 22 04:54:14 2021 +0300

(Edited, 2021-05-13 23:17 Updated by: alain_bkr)
2021-05-13 23:12 Updated by: cazfi
Comment

Is gtk3-client affected?

In S3_1/master also gui-gtk-4.0 (gtk3x-client) should be patched (if trivial). Don't worry if you can't compile it, we don't expect contributors to test changes to it, just to provide same changes than are being made to gtk3.22-client.

2021-05-13 23:15 Updated by: alain_bkr
  • File fix_gtk322_F5_scrollbar_hiding_column_content.patch (File ID: 6797) is deleted
2021-05-13 23:16 Updated by: alain_bkr
Comment

A patch fixing F2 (not F4 ) and F5 problem of scrollbar overlapping dat

2021-05-13 23:16 Updated by: alain_bkr
  • File fix_F2_units_and_F5_economy_scrollbar_overlapping.patch (File ID: 6798) is attached
2021-05-13 23:22 Updated by: alain_bkr
Comment

Reply To cazfi

Is gtk3-client affected? In S3_1/master also gui-gtk-4.0 (gtk3x-client) should be patched (if trivial). Don't worry if you can't compile it, we don't expect contributors to test changes to it, just to provide same changes than are being made to gtk3.22-client.

It is on gtk-3.22 client

I'll have a look at 3_1 / gtk-4 , the patch is rather simple so i am confident.

2021-05-14 03:05 Updated by: alain_bkr
Comment
(This comment has been deleted)
2021-05-14 03:06 Updated by: alain_bkr
  • File fix_F2_units_and_F5_economy_scrollbar_overlapping.patch (File ID: 6799) is attached
2021-05-14 03:06 Updated by: alain_bkr
  • File fix_F2_units_and_F5_economy_scrollbar_overlapping.patch (File ID: 6798) is deleted
2021-05-15 21:58 Updated by: alain_bkr
2021-05-16 03:03 Updated by: alain_bkr
  • Type Update from Bugs to Patches
  • Summary Updated
2021-05-16 12:52 Updated by: cazfi
Comment

Reply To alain_bkr

Reply To cazfi

Is gtk3-client affected? In S3_1/master also gui-gtk-4.0 (gtk3x-client) should be patched (if trivial). Don't worry if you can't compile it, we don't expect contributors to test changes to it, just to provide same changes than are being made to gtk3.22-client.

It is on gtk-3.22 client

but not in gtk3-client?
2021-05-16 12:58 Updated by: cazfi
Comment

Reply To alain_bkr

I'll have a look at 3_1 / gtk-4 , the patch is rather simple so i am confident.

Most of the time you can fix all the gtk-clients by creating patch for one (for example gtk3.22), and then 'patch -u -p3 -d client/gui-gtk-3.0 < gtk3.22_fix.patch' & 'patch -u -p3 -d client/gui-gtk-4.0 < gtk3.22_fix.patch'

2021-05-17 22:44 Updated by: alain_bkr
Comment

thanks for git tips :-)

I made 2 patches . one for 2_6 and 3_0 , concerning gtk3* one for 3_1 , concerning gtk3.22 and gtk4

2021-05-17 22:45 Updated by: alain_bkr
  • File fix_F2_units_and_F5_economy_scrollbar_overlapping.patch (File ID: 6799) is deleted
2021-05-17 22:45 Updated by: alain_bkr
  • File S2_6__S3_0__gtk3.0_gtk3.22_fix_F2_units_and_F5_economy_scrollbar_overlapping.patch (File ID: 6838) is attached
2021-05-17 22:46 Updated by: alain_bkr
  • File S3_1__gtk3.22_gtk4_fix_F2_units_and_F5_economy_scrollbar_overlapping.patch (File ID: 6839) is attached
2021-05-17 22:50 Updated by: alain_bkr
Comment

thanks for git tips :-)

I made 2 patches .

  • one for 2_6 and 3_0 , concerning gtk3.0 and gtk3.22
  • one for 3_1 , concerning gtk3.22 and gtk4

They apply without problem , with zero or 1 line offset

2021-05-17 22:53 Updated by: cazfi
Comment

Shouldn't it be 3 patches:

master: gtk3.22, gtk4

S3_1: gtk3.22, gtk3, gtk4

S3_0 & S2_6: gtk3.22, gtk3

2021-05-17 22:54 Updated by: alain_bkr
  • Summary Updated
2021-05-17 23:31 Updated by: alain_bkr
  • File S3_1__gtk3.22_gtk4_fix_F2_units_and_F5_economy_scrollbar_overlapping.patch (File ID: 6839) is deleted
2021-05-17 23:31 Updated by: alain_bkr
  • File S2_6__S3_0__gtk3.0_gtk3.22_fix_F2_units_and_F5_economy_scrollbar_overlapping.patch (File ID: 6838) is deleted
2021-05-17 23:35 Updated by: alain_bkr
Comment

There are too any branches and versions for my poor git knowledge. So I attached 3 patches, one for each gtk-version.

2021-05-20 07:27 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

I made them per-branch patches. As you had not made your patches with 'git format-patch', you were not set as the author in any case (it's going to show up me as the author, with credits to you in the commit message).

2021-05-22 03:14 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login